Skip to main content
POST
/
v1
/
jobs
/
runs
/
{run_id}
/
cancel
Cancel Run
curl --request POST \
  --url https://sdk.nimbleway.com/v1/jobs/runs/{run_id}/cancel \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sdk.nimbleway.com/v1/jobs/runs/{run_id}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sdk.nimbleway.com/v1/jobs/runs/{run_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required

Cookies

token
string | null

Response

Successful Response

Result of cancelling a run.

id
string
required

Identifier of the cancelled run.

Pattern: ^run_[1-9][0-9]*$
status
enum<string>
required

Run status after cancellation.

Available options:
PENDING,
RUNNING,
SUCCESS,
FAILED,
CANCELLED,
TIMEOUT,
WARNING